Disable IE 8 compatibility mode to fix wrong div.autoscroll scroll bar behaviour 
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.4.0   

Description

It turns out IE 8 has a so called "Compatibility Mode" that effectively emulates IE 7 behavior (bugs). One of the bugs with

compatibility mode is the scrolling behavior of div.autoscroll, like in the issue list:

When a horizontal scroll bar appears (many columns selected), the horizontal scroll bar overlays the issue list, a vertical scroll bar

appears and the height of the issue list is not expanded correctly. With only one issue in the list, this makes it impossible to read the

details in the table. Firefox does it right in any version, Safari too, IE 8 can do it right if it's not in Compatibility mode. Unfortunately IE

8 defaults to compatibility mode for sites in an intranet (at least in our company). Asking all users to use Firefox or reconfigure IE is

not a good solution.

There's a way to tell IE to disable compatibility mode with a meta tag:

<meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />

 This makes each IE version specified here use it's native behavior (ordering is important: newer ones need to be first). Firefox and

Safari are unaffected by the change.

Patch against Redmine 1.2.3 attached. Applies cleanly to 1.3.0 and trunk as well.

Associated revisions

Revision 9372 - 2012-04-08 22:13 - Jean-Philippe Lang

Disable IE 8 compatibility mode (#10128).

Revision 10113 - 2012-07-29 12:46 - Jean-Philippe Lang

Removed invalid html5 meta (Rails sets an equivalent response header natively) (#10128).

History

#1 - 2012-04-08 22:13 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

Committed in r9372.

#2 - 2012-04-09 08:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r9377.
